<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php'); 
if(!empty($_POST))
{
 
    $comd_id=$_POST['id'];
    $com_id=$_POST['com_id'];
    $comd_art_id=$_POST['comd_art_id'];
    $serial = $_POST['serial'];

    // devuelve el más bajo
    $valores_no_vacios=0;

    foreach($serial as $valor) 
    {
      if(!empty($valor)) // Solo si no esta vacío y es un número (is_numeric)
       $valores_no_vacios++;
    }

     $valores_no_vacios;

      $number = $valores_no_vacios;  
          if($number > 0)  
                {  
                        for($i=0; $i<$number; $i++)  
                        {  
                           if(trim($_POST["serial"][$i] != '') )

                             $dato1=$_POST["serial"][$i];  
                              {
   
                                  $sql = "INSERT INTO seriales_compra(ser_codigo,compra_detalle_comd_id) 
                                VALUES('".$dato1."','$comd_id')";  
                               mysqli_query($con, $sql);  

                              $registros=mysqli_query($con,"INSERT INTO  seriales_articulos (se_codigo,estado,articulos_art_id) 
                                values('".$dato1."','sin vender','$comd_art_id') ") or die(mysqli_error($con));      


                              } 

                        }
                         echo '<div class="alert alert-success alert-dismissable">
                                     <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                                        <strong>Serial!</strong> Registrado correctamente.
                                     </div>'; 
                } 

 } 
?>  